<div class="datepickers">
  <digi-calendar-datepicker
    class="datepicker"
    [afLabel]="'Välj ett datum'"
    [afMultipleDates]="false"
    [afShowWeekNumber]="weekNumbers"
    [afSelectedDates]="singleDate"
    [afMinDate]="minDate"
    [afMaxDate]="maxDate"
    (afOnDateChange)="setDate($event)"
  >
  </digi-calendar-datepicker>
  <digi-calendar-datepicker
    class="datepicker"
    [afLabel]="'Välj flera datum'"
    [afMultipleDates]="true"
    [afShowWeekNumber]="weekNumbers"
    [afSelectedDates]="multipleDates"
    [afMinDate]="minDate"
    [afMaxDate]="maxDate"
    (afOnDateChange)="setDates($event)"
  >
  </digi-calendar-datepicker>
</div>
<div class="selected-dates">
  <p>Valda datum <i>(separat från komponenten)</i></p>
  <div class="dates">
    <ng-container *ngFor="let date of multipleDates">
      <digi-link
        class="date"
        [afVariation]="small"
        (click)="removeDate(date)"
      >
        {{ date.toLocaleDateString() }}
        <digi-icon-notification-error
          slot="icon"
        ></digi-icon-notification-error>
      </digi-link>
    </ng-container>
  </div>
</div>
<div class="attributes">
  <p>Ändra komponentens attributer</p>
  <digi-form-checkbox
    class="attribute-row"
    af-label="Visa veckonummer"
    af-variation="primary"
    [afChecked]="weekNumbers"
    (afOnChange)="toggleWeekNumbers()"
  ></digi-form-checkbox>
  <digi-calendar-datepicker
    class="attribute-row"
    af-label="Sätt det tidigaste valbara datumet"
    af-label-description=""
    [afMaxDate]="maxDate"
    (afOnDateChange)="setMinDate($event)"
  >
  </digi-calendar-datepicker>
  <digi-calendar-datepicker
    class="attribute-row"
    af-label="Sätt det senaste valbara datumet"
    af-label-description=""
    [afMinDate]="minDate"
    (afOnDateChange)="setMaxDate($event)"
  >
  </digi-calendar-datepicker>
</div>
